Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class NameSpace

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.NameSpace

public class NameSpace
extends java.lang.Object
implements java.io.Serializable

A representation of a namespace. One of these will be pushed on the namespace stack for each element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`NameSpace` | `m_next` Next NameSpace element on the stack.
`java.lang.String` | `m_prefix` Prefix of this NameSpace element.
`java.lang.String` | `m_uri` Namespace URI of this NameSpace element.

Constructor Summary
`NameSpace(java.lang.String prefix, java.lang.String uri)` Construct a namespace for placement on the result tree namespace stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_next

    public NameSpace m_next

  Next NameSpace element on the stack.

### m_prefix

    public java.lang.String m_prefix

  Prefix of this NameSpace element.

### m_uri

    public java.lang.String m_uri

  Namespace URI of this NameSpace element.

Constructor Detail

### NameSpace

    public NameSpace(java.lang.String prefix,
                     java.lang.String uri)

  Construct a namespace for placement on the result tree namespace stack.

  Parameters:
    `prefix` - Prefix of this element
    `uri` - URI of this element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference